OS X 10.11 (El Capitan) Compatibility News

All current Native Instruments products are compatible with OS X 10.11.1 or higher.

Please note that known compatibility issues may affect the use of KOMPLETE, MASCHINE and TRAKTOR products. Please read the information below regarding the corresponding issue:

Core Audio Issues

There are known audio performance issues affecting OS X versions 10.9, 10.10 and 10.11. Please read this article for more information.

El Capitan's latest update 10.11.4 did not resolve these issues although it appears to slightly improve some symptoms. However, after extended internal validation tests we were not able to confirm that the Apple Core Audio degradation issues are resolved with the latest update.

We are working on a solution closely with Apple to be able to resolve these issue as fast as possible.

Validation of AU (Audio Units) Plug-ins Fails in Logic Pro X

If you are a Logic Pro X user and are still running OS X 10.11 (first release version), please note that Native Instruments Audio Units plug-ins will not pass the AU validation and therefore will not be available in Logic Pro X. To resolve this issue, simply download and install the OS X 10.11.1 update by clicking on the Apple symbol in your Desktop and choosing Software Updates... Note: If your AU plug-ins do not appear in Logic Pro X after updating to OS X 10.11.1, please rescan your plug-in folders by going to Logic Pro > Preferences > Plug-in Manager in Logic's toolbar. In the Plug-in Manager window, select all entries for which the validation has failed (as shown in the Compatibility column) and then press Reset & Rescan Selection.

 

Kernel Panic when Using Legacy Native Instruments Devices

Incompatibility between some older NI devices and OS X 10.11 has been discovered. This issue triggers kernel panics that crash the connected computer immediately, resulting in loss of any unsaved work, or serious disruption of a performance.The following hardware is affected:

  • TRAKTOR KONTROL S4 (MK1)
  • TRAKTOR KONTROL X1 (MK1)
  • TRAKTOR AUDIO 2 (MK1)
  • AUDIO 8 DJ
  • AUDIO 4 DJ
  • AUDIO 2 DJ (MK1)
  • MASCHINE (MK1)
  • AUDIO KONTROL 1
  • RIG KONTROL 3

There are drivers already available that fix this issue. You can download the latest driver for your corresponding device here.Note: There is no fixed driver-version available for the AUDIO KONTROL 1.

This article has been last updated on 2016/05/04.

Product Group:
GENERAL
Category:
Compatibility DAW / Sequencer Plug-in Administration
Platform:
OS X
Operating System:
Mac OS 10.11 (El Capitan)
Do you found this article helpful? Thank you for supporting us!
0 | 0 / 0